> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hydric.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for tokens on a specific blockchain

> Searches for tokens on the specified blockchain network by keyword (name or symbol).



## OpenAPI

````yaml https://api.hydric.org/v1/openapi.json post /v1/tokens/{chainId}/search
openapi: 3.1.0
info:
  title: hydric Gateway API
  description: Access DeFi Liquidity easily. One plug. Every Protocol. Every Network.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.hydric.org
security:
  - bearerAuth: []
tags: []
paths:
  /v1/tokens/{chainId}/search:
    post:
      tags:
        - Tokens
      summary: Search for tokens on a specific blockchain
      description: >-
        Searches for tokens on the specified blockchain network by keyword (name
        or symbol).
      operationId: TokensController_searchSingleChainTokens
      parameters:
        - name: chainId
          required: true
          in: path
          description: >-
            The chain id of the network. This must be a supported network chain
            id.
          schema:
            example: 143
            enum:
              - 1
              - 143
              - 130
              - 999
              - 8453
              - 9745
              - 534352
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchSingleChainTokensRequestBody'
      responses:
        '200':
          description: The search results were successfully retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchSingleChainTokensResponse'
        '400':
          description: Validation failed
          content:
            application/json:
              examples:
                emptySearch:
                  summary: Empty search query
                  value:
                    statusCode: 400
                    timestamp: '2026-02-28T19:40:59.723Z'
                    path: /tokens/143/search
                    traceId: doc_sample_trace_id
                    error:
                      code: VALIDATION_ERROR
                      title: Invalid Parameters
                      message: search must not be empty
                      details: >-
                        Check the 'meta' field for specific field-level
                        violations.
                      metadata:
                        property: search
                        value: 123
                        constraints:
                          isString:
                            - search must be a string
                unsupportedChainId:
                  summary: Unsupported chain ID
                  value:
                    statusCode: 400
                    timestamp: '2026-02-28T19:40:59.723Z'
                    path: /tokens/999999/search
                    traceId: doc_sample_trace_id
                    error:
                      code: UNSUPPORTED_CHAIN_ID
                      title: Invalid Parameters
                      message: 'Unsupported Chain ID: 999999'
                      details: >-
                        The provided ID is not supported. Supported IDs are: [1,
                        143, 130, 999, 8453, 9745, 534352].
                      metadata:
                        chainId: 999999
                        unsupportedIds:
                          - 999999
                        supportedIds:
                          - 1
                          - 143
                          - 130
                          - 999
                          - 8453
                          - 9745
                          - 534352
components:
  schemas:
    SearchSingleChainTokensRequestBody:
      type: object
      properties:
        search:
          type: string
          description: >-

            The search term to filter assets by ticker symbol or name.

            - **Ticker Symbol or Name:** (e.g., 'ETH', 'USD', 'Wrapped') —
            Case-insensitive substring match.
          example: ETH
          minLength: 1
        config:
          description: >-
            Configuration for the search results such as limit, order, cursor,
            etc.
          allOf:
            - $ref: '#/components/schemas/SingleChainTokenListConfig'
        filters:
          description: Additional filters to personalize the search results.
          allOf:
            - $ref: '#/components/schemas/SingleChainTokenSearchFilter'
      required:
        - search
    SearchSingleChainTokensResponse:
      type: object
      properties:
        tokens:
          description: List of matching tokens on the specified blockchain
          type: array
          items:
            $ref: '#/components/schemas/SingleChainTokenMetadata'
        nextCursor:
          type: object
          description: Cursor for the next page of search results. Null if no more results.
          example: eJzLKCkpSs3LT0rNz0tRBAAdewMF
          nullable: true
        filters:
          description: The filters applied to the search.
          allOf:
            - $ref: '#/components/schemas/SingleChainTokenSearchFilter'
      required:
        - tokens
        - filters
    SingleChainTokenListConfig:
      type: object
      properties:
        limit:
          type: number
          description: The number of items to return in the response.
          minimum: 1
          maximum: 500
          default: 10
          example: 10
        orderBy:
          description: Ordering configuration for the token list.
          allOf:
            - $ref: '#/components/schemas/TokenOrder'
        cursor:
          type: string
          description: >-
            Base64-encoded cursor for pagination. Fetch this from the
            "nextCursor" field of a previous response. Do not pass this if you
            want to start from the beginning.
          example: null
          default: null
    SingleChainTokenSearchFilter:
      type: object
      properties:
        minimumTotalValuePooledUsd:
          type: number
          description: >-
            The minimum aggregate liquidity in USD for a token to be included in
            the search. Search uses 0 by default to show most results.
          default: 0
          example: 10000
        minimumSwapsCount:
          type: number
          description: >-
            The minimum cumulative swap count for a token to be included in the
            search. Search uses 0 by default.
          default: 0
          example: 100
        minimumSwapVolumeUsd:
          type: number
          description: >-
            The minimum cumulative Swap Volume (USD) for a token to be included
            in the search. Search uses 0 by default.
          default: 0
          example: 100000
        ignoreWrappedNative:
          type: boolean
          description: >-

            If set to **true**, the response will exclude Wrapped Native tokens
            (e.g., WETH on Ethereum, WBNB on BNB etc...).

            Defaults to **false** for search operations to ensure users can find
            WETH if they search for it.
          default: false
          example: false
    SingleChainTokenMetadata:
      type: object
      properties:
        chainId:
          type: number
          description: The chain id of the network where the token resides.
          example: 1
          enum:
            - 1
            - 143
            - 130
            - 999
            - 8453
            - 9745
            - 534352
        address:
          type: string
          description: >-

            The contract address of the token on its host network.


            * **ERC-20 Tokens:** The 20-byte hex contract address.

            * **Native Assets (e.g., ETH, MATIC):** Represented by the "Zero
            Address" (`0x000...000`).
                
          example: '0x0000000000000000000000000000000000000000'
        decimals:
          type: number
          description: >-
            The number of decimal places used to represent the smallest
            fractional unit of the token (e.g., 18 for ETH, 6 for USDC).
          example: 18
        name:
          type: string
          description: >-
            The full human-readable name of the asset (e.g., "Ethereum",
            "Wrapped Bitcoin").
          example: Ether
        symbol:
          type: string
          description: The ticker symbol of the token (e.g., "ETH", "WBTC")..
          example: ETH
        logoUrl:
          type: string
          description: The URL of the token logo.
          example: >-
            https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000
      description: Core identifying metadata for a token on a single blockchain.
      required:
        - chainId
        - address
        - decimals
        - name
        - symbol
        - logoUrl
    TokenOrder:
      type: object
      properties:
        field:
          type: string
          enum:
            - tvl
          default: tvl
          description: Field that you want to order tokens by.
          example: tvl
        direction:
          type: string
          enum:
            - desc
            - asc
          default: desc
          description: Sorting direction of the selected field.
          example: desc
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        Use the docs sandbox API key for authentication:
        **hydric_docs_4N4ocuirsN8Sh**

````